# Class AppletConsole

java.lang.Object
org.jmol.console.GenericConsole
org.jmol.consolejs.AppletConsole

All Implemented Interfaces:
  `JmolAppConsoleInterface, JmolCallbackListener`

public class AppletConsole extends GenericConsole
An interface to Jmol.Console. keyboard events are returned to GenericConsole.processKey(kcode, kid, isControlDown); button events are returned to GenericConsole.doAction(source); 12/24/2012

Author:
  Bob Hanson hansonr@stolaf.edu

## Field Summary

### Fields inherited from class GenericConsole

`clearInButton, clearOutButton, defaultMessage, editButton, historyButton, input, label1, labels, loadButton, menuMap, nTab, output, pageUpBuffer, runButton, stateButton, vwr`

## Constructor Summary

Constructors
Constructor
Description
`AppletConsole()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`JmolScriptEditorInterface`
`getScriptEditor()`
`protected boolean`
`isMenuItem(Object source)`
`protected void`
`layoutWindow(String enabledButtons)`
`Object`
`newJMenu(String key)`
`Object`
`newJMenuItem(String key)`
`protected String`
`nextFileName(String stub, int nTab)`
`void`
`regainFocus()`
`protected JmolAbstractButton`
`setButton(String text)`
`protected void`
`setTitle()`
`void`
`setVisible(boolean visible)`
`void`
`start(Viewer vwr)`

### Methods inherited from class GenericConsole

`addButton, clearContent, completeCommand, destroyConsole, displayConsole, doAction, execute, getCommandString, getLabel, getLabel1, getLabelWithoutMnemonic, getText, map, notifyCallback, notifyEnabled, processKey, recallCommand, sendConsoleEcho, sendConsoleMessage, setAbstractButtonLabels, setCallbackFunction, setLabels, setupLabels, setupLabels0, setViewer, trimGUI, updateLabels, zap`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AppletConsole

public AppletConsole()

## Method Details

### start

public void start(Viewer vwr)

### layoutWindow

protected void layoutWindow(String enabledButtons)

Specified by:
  `layoutWindow` in class `GenericConsole`

### setTitle

protected void setTitle()

Specified by:
  `setTitle` in class `GenericConsole`

### setVisible

public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `JmolAppConsoleInterface`
Specified by:
  `setVisible` in class `GenericConsole`

### setButton

protected JmolAbstractButton setButton(String text)

Specified by:
  `setButton` in class `GenericConsole`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `JmolAppConsoleInterface`
Specified by:
  `dispose` in class `GenericConsole`

### isMenuItem

protected boolean isMenuItem(Object source)

Specified by:
  `isMenuItem` in class `GenericConsole`

### getScriptEditor

public JmolScriptEditorInterface getScriptEditor()

Specified by:
  `getScriptEditor` in interface `JmolAppConsoleInterface`
Specified by:
  `getScriptEditor` in class `GenericConsole`

### nextFileName

protected String nextFileName(String stub, int nTab)

Specified by:
  `nextFileName` in class `GenericConsole`

### newJMenu

public Object newJMenu(String key)

### newJMenuItem

public Object newJMenuItem(String key)

### regainFocus

public void regainFocus()